// gnome.xonotic.in.ua

models/flags/b_flag
{
	cull disable
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map models/flags/b_flag.tga
	}
}

models/flags/pole
{
	{
		map models/flags/skull.tga
		tcgen environment
		rgbgen lightingdiffuse
	}
}

models/flags/r_flag
{
	cull disable
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map models/flags/r_flag.tga
	}
}

models/mapobjects/defcon_tree/tree4
{
	cull none
	nopicmip
	{
		map models/mapobjects/defcon_tree/tree4.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/xceil1_39
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/codey1/buzzfence1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/codey1/buzzfence2.tga
		blendfunc gl_zero gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map textures/codey1/buzzfence1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/codey1/crock01nm
{
	q3map_nonplanar
	q3map_shadeangle 45
	qer_editorimage textures/codey1/crock01nm.tga
	q3map_lightmapsampleoffset 6.0
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/codey1/crock01nm.tga
		blendfunc filter
	}
}

textures/codey1/oil_poster5
{
	nopicmip
	{
		map textures/codey1/oil_poster5.tga
		blendfunc gl_one gl_zero
		rgbgen vertex
		depthwrite
	}
}

textures/codey1/splatt2
{
	qer_editorimage textures/codey1/splatt2.tga
	qer_trans 0.5
	polygonoffset
	sort 6
	{
		map textures/codey1/splatt2.tga
		blendfunc gl_dst_color gl_src_color
		depthwrite
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/eagle/ladderclip
{
	qer_trans 0.40
	qer_editor_image textures/eagle/ladderclip.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/jeffj/glass_clear1
{
	qer_editorimage textures/jeffj/rcfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/rcfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/masheen/window1
{
	{
		map textures/masheen/window1.tga
	}
	{
		map textures/masheen/tinfx.jpg
		tcgen environment
		blendfunc gl_one gl_one
	}
	{
		map textures/masheen/window1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/riches_alpha/truefence
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip
	{
		map textures/riches_alpha/truefence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/riches_signs/r_signpole
{
	{
		map textures/riches_signs/r_signpole.tga
		rgbgen vertex
	}
	{
		map textures/jeffj/rcfx3.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

